
<div class="container">
  <form #vechicleForm="ngForm">
  <div class="row">

    <!--{{vechicleAssetDetails|json}}-->
    <div class="col-sm-6 col-sm-6 .col-xs-12">
      <lable class="labelText">Vehicle Number<span style="color:red">*</span></lable>
      <input type="text" name="vehicleNo" id="vehicleNo" required #vehicleNo="ngModel" [(ngModel)]="vechicleAssetDetails.vehicleNumber"
             class="form-control" placeholder="Enter Vehicle Number">
      <div style="color: red" *ngIf="vehicleNo.touched && vehicleNo.errors?.required" [hidden]="vehicleNo.valid || vehicleNo.pristine"
           class="alert alert-danger" >vehicleNo is required.
      </div>
    </div>



    <div class="col-sm-6 col-sm-6 .col-xs-12">
      <lable class="labelText">Vehicle Make</lable>
      <input type="text" name="vehicleMake" id="vehicleMake" #vehicleMake="ngModel"   [(ngModel)]="vechicleAssetDetails.vehicleMake" class="form-control" placeholder="Enter Vehicle Model">
    </div>


  </div>
    <div class="row">

      <!--{{vechicleAssetDetails|json}}-->
      <div class="col-sm-6 col-sm-6 .col-xs-12">
        <lable class="labelText">Registration Number<span style="color:red">*</span></lable>
        <input type="text" name="registrationNumber" id="registrationNumber" required #registrationNumber="ngModel"
               [(ngModel)]="vechicleAssetDetails.registrationNumber"  class="form-control" placeholder="Enter Registration Number">
        <div style="color: red" *ngIf="registrationNumber.touched && registrationNumber.errors?.required" [hidden]="registrationNumber.valid || registrationNumber.pristine"
             class="alert alert-danger" >Registration Number is required.
        </div>
      </div>



      <div class="col-sm-6 col-sm-6 .col-xs-12">
        <lable class="labelText"> Chassis Number</lable>
        <input type="text" name="chassisNumber" id="chassisNumber"
               #chassisNumber="ngModel"   [(ngModel)]="vechicleAssetDetails.chassisNumber" class="form-control" placeholder="Enter Chassis Number">
      </div>


    </div>

    <div class="row">
      <div class="col-sm-6 col-sm-6 .col-xs-12">
        <lable class="labelText"> Engine  Number</lable>
        <input type="text" name="engineNo" id="engineNo"
               #engineNo="ngModel"   [(ngModel)]="vechicleAssetDetails.engineNo" class="form-control" placeholder="Enter Engine Number">
      </div>

      <div class="col-sm-6 col-sm-6 .col-xs-12">
        <lable class="labelText">  Tank Capacity</lable>
        <input type="text" name="TankCapacity" id=" TankCapacity"
               #TankCapacity="ngModel"   [(ngModel)]="vechicleAssetDetails.tankCapacity" class="form-control" placeholder="Enter Tank Capacity">
      </div>


    </div>


  <div class="row">

        <div class="col-sm-6 col-sm-6 .col-xs-12" >
      <lable class="labelText">Status<span style="color:red">*</span></lable>
      <select [ngModelOptions]="{standalone: true}"   [(ngModel)]="vechicleAssetDetails.status" class="form-control">
        <option >Active</option>
        <option >InActive</option>
      </select>
    </div>



    <div class="col-sm-6 col-sm-6 .col-xs-12">
      <lable class="labelText">Ownership<span style="color:red">*</span></lable>
      <select  (ngModelChange)="showLesserField($event)" name="rentalType"  #rentalType="ngModel" [(ngModel)]="vechicleAssetDetails.rentalType"  class="form-control">
        <option   >Owned</option>
        <option  >Leased</option>
      </select>
    </div>

  </div>

<br>
  <div class="row">
    <div class="col-sm-6 col-sm-6 .col-xs-12">
      <lable class="labelText">Select Vehicle Type<span style="color:red">*</span></lable>
      <select  [ngModelOptions]="{standalone: true}"  name="vehicleType"
               #vehicleType="ngModel" [(ngModel)]="vechicleAssetDetails.vehicleType"  class="form-control" required>
        <option   >Select vehicle Type</option>
        <option  *ngFor="let value of vechicleTypesDropDown"  >{{value.vehicleTypeName}}</option>
      </select>
    </div>

    <div class="col-sm-6 col-sm-6 .col-xs-12">
      <lable class="labelText">Date Of Registration<span style="color:red">*</span></lable>
      <div class="input-group">
        <input type="date" class="form-control" placeholder="yyyy-mm-dd" [(ngModel)]="vechicleAssetDetails.dateOfJoining" name="dp" required id="dp" #dp="ngModel" >
      </div>
      <div style="color: red" *ngIf="dp.touched && dp.errors?.required" [hidden]="dp.valid || dp.pristine"
           class="alert alert-danger" >Date is required.
      </div>
    </div>
  </div>

  <br>
      <div class="row">
    <div class="col-sm-6 col-sm-6 .col-xs-12" *ngIf="isLesserActive && !isEditMode">
      <lable class="labelText">Select Lesser Name<span style="color:red">*</span></lable>
      <select  [ngModelOptions]="{standalone: true}"  name="lesserName"
               #vehicleType="ngModel" [(ngModel)]="vechicleAssetDetails.lesserName"  class="form-control">
        <option   >Select Lesser Name</option>
        <option  *ngFor="let value of lesserTypesDropDown"  >{{value.lesserName}}</option>
      </select>
    </div>

    <div class="col-sm-6 col-sm-6 .col-xs-12" *ngIf="isEditMode">
      <lable class="labelText">Select Lesser Name<span style="color:red">*</span></lable>
      <select  [ngModelOptions]="{standalone: true}"  name="lesserName"
               #vehicleType="ngModel" [(ngModel)]="vechicleAssetDetails.lesserName"  class="form-control">
        <option   >Select Lesser Name</option>
        <option  *ngFor="let value of lesserTypesDropDown"  >{{value.lesserName}}</option>
      </select>
    </div>


          <div class="col-sm-6 col-sm-6 .col-xs-12" *ngIf="!isLesserActive && !isEditMode">
              <lable class="labelText">Select Company Name<span style="color:red">*</span></lable>
              <select  [ngModelOptions]="{standalone: true}"  name="lesserName"
                       #companyName="ngModel" [(ngModel)]="vechicleAssetDetails.companyName"  class="form-control">
                  <option   >Select Company Name</option>
                  <option  *ngFor="let value of companyTypesDropDown"  >{{value.companyName}}</option>
              </select>
          </div>

          <div class="col-sm-6 col-sm-6 .col-xs-12" *ngIf="isEditMode">
              <lable class="labelText">Select Company Name<span style="color:red">*</span></lable>
              <select  [ngModelOptions]="{standalone: true}"  name="lesserName"
                       #companyNameEdit="ngModel" [(ngModel)]="vechicleAssetDetails.companyName"  class="form-control">
                  <option   >Select Company Name</option>
                  <option  *ngFor="let value of companyTypesDropDown"  >{{value.companyName}}</option>
              </select>
          </div>

      </div>
      <br>
      <div class="row">
          <div class="col-sm-6 col-sm-6 .col-xs-12">
              <lable class="labelText">Select Fuel Type<span style="color:red">*</span></lable>
              <select  [ngModelOptions]="{standalone: true}"  name="fuelType"
                       #fuelType="ngModel" [(ngModel)]="vechicleAssetDetails.fuelType"  class="form-control" required>
                  <option   >Select Fuel Type</option>
                  <option  *ngFor="let value of fuleTypesDropDown"  >{{value|json}</option>
              </select>
          </div>
      </div>

    <div class="row">
    <div class="col-sm-12 text-center" style="margin-top:20px">
        <span *ngIf="!isEditMode">
            <button class="btn btn-default" data-dismiss="modal" (click)="submitConfigDetails()" [disabled]="!vechicleForm.form.valid">Save</button>
        </span>
      <span *ngIf="isEditMode">
            <button class="btn btn-default" data-dismiss="modal" (click)="updateConfigDetails()" [disabled]="!vechicleForm.form.valid" >Update</button>
        </span>
      <span *ngIf="isEditMode">
            <button class="btn btn-danger" data-dismiss="modal" (click)="deleteAssetById()">Delete</button>
        </span>
      <button class="btn btn-danger" data-dismiss="modal">Close</button>
    </div>
  </div>
  </form>
</div>
